it should pointed out on your home page that stellarium requiers mac os 10.3.5 or better, othe r wise it crash everytime.
the ony thing negative i have sayabout the program is that it would be nice to have telescope control. stellarium is primary program i use in locations